InboxedUp - API
  1. Mailboxes
InboxedUp - API
  • Account
    • Get account overview
      GET
  • Subscriptions
    • List active subscriptions
      GET
    • Update subscription notes
      PATCH
  • Domains
    • Submit domains
      POST
    • List domains
      GET
    • Get domain
      GET
    • Remove domain
      DELETE
    • Verify domain NS propagation
      POST
    • Get batch status
      GET
  • Mailboxes
    • Request mailboxes
      POST
    • List mailbox requests
      GET
    • Get mailbox request
      GET
  • Schemas
    • Error
    • MailboxEntry
  1. Mailboxes

Get mailbox request

GET
/mailboxes/{id}
Returns full details for a single mailbox provisioning request including admin notes if the request has been processed.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
application/json
Mailbox request details
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/mailboxes/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "success": true,
    "data": {
        "id": "req_abc123",
        "type": "MICROSOFT",
        "domain": "yourdomain.com",
        "domainId": "dom_abc123",
        "domainStatus": "ACTIVE",
        "ns1": "aspen.ns.cloudflare.com",
        "ns2": "kobe.ns.cloudflare.com",
        "status": "COMPLETED",
        "adminNotes": "Mailboxes provisioned successfully.",
        "createdAt": "2026-03-01T10:00:00.000Z",
        "mailboxes": [
            {
                "firstName": "John",
                "lastName": "Smith",
                "mailboxUsername": "john.smith",
                "domainName": "yourdomain.com"
            }
        ]
    }
}
Modified at 2026-03-12 08:23:25
Previous
List mailbox requests
Next
Error
Built with